import grafana_contexts as contexts
import os

os.environ['JUJU_UNIT_NAME'] = 'grafana'

#from mock import patch, MagicMock

from test_utils import (
    CharmTestCase
)

TO_PATCH = [
    'config',
]


class TestGrafanaContext(CharmTestCase):

    def setUp(self):
        super(TestGrafanaContext, self).setUp(contexts, TO_PATCH)

    def test_grafana_context(self):
        self.config.return_value = '1'
        self.assertEquals(contexts.GrafanaContext()(),
                          {'app_mode': '1'}
                          )
